#include <iostream>
#include "CameraControl.h"
#include "Helper\Cvh.h"


class CannonCamera
{
	protected:
		CameraControl* _cameraControl;
		/** IplImage to have a unified image access **/
		IplImage * cvImage;
		/** Internal camera name for identification. */
		std::string name; 
		std::string imageName; 

	public:
		CannonCamera();
		~CannonCamera();
		IplImage* GetImage();
		void TakePicture();

	protected:
		bool Init();	
};
